package com.docus.server.entity.recovery;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.RecoveryStateEnum;
import com.docus.server.vo.recovery.rcvbasic.GenderConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者信息表
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("rcv_basic")
@ApiModel(value = "RcvBasic对象", description = "患者信息表")
public class RcvBasic implements Serializable {

    @ExcelIgnore
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ExcelProperty(value = {"住院次数"}, index = 1)
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ExcelIgnore
    @ApiModelProperty(value = "住院日期")
    private Date admissDate;
    @ExcelIgnore
    @ApiModelProperty(value = "性别")
    private String sex;
    @ExcelIgnore
    @ApiModelProperty(value = "姓名")
    private String name;
    @ExcelProperty(value = {"回收状态"}, index = 7, converter = GenderConverter.class)
    @ApiModelProperty(value = "回收状态 0：待回收 1：已回收")
    private RecoveryStateEnum recoveryState;
    @ExcelIgnore
    @ApiModelProperty(value = "床位号")
    private String bedNumber;
    @ExcelProperty(value = {"责任人"}, index = 9)
    @ApiModelProperty(value = "责任人")
    private String revoveryUser;
    @ExcelIgnore
    @ApiModelProperty(value = "出院天数")
    private String outNum;
}
